dpkg-query(1)

NAMN
dpkg-query - ett verktyg för att fråga dpkg-databasen

SYNOPS
dpkg-query [flaggor...] åtgärd

BESKRIVNING
dpkg-query är ett verktyg för att visa information om paket i dpkg-databasen.

KOMMANDON

-l, --list [paketnamnsmönster ...]
    Lista paket som matchar det givna mönstret. Om inget paketnamnsmönster anges listas alla paket i /var/lib/dpkg/status, förutom de paket som markerats som ej installerade (dvs. de som tidigare har helt tagits bort). Skalets normala jokertecken tillåts i paketnamnsmönster. Observera att du sannolikt måste skriva paketnamnsmönster inom citationstecken för att förhindra att skalet expanderar filnamnet. Till exempel kommer följande lista alla paket vars namn börjar på "libc6":
      dpkg-query -l 'libc6*'
    De första tre kolumnerna i utdata visar önskad åtgärd, paketstatus och fel, i den ordningen. Önskad åtgärd
      u = Okänd
      i = Installera
      h = Håll
      r = Ta bort
      p = Rensa
    Paketstatus:
      n = Ej installerat
      c = Konfigurationsfiler
      H = Halvinstallerat
      U = Uppackat
      F = Halvkonfigurerat
      W = Utlösare väntad
      t = Utlösare förestående
      i = Installerad
    Felflaggor:
      <tom> = (ingen)
      R = Ominstallation krävs
    En versal status- eller felbokstav anger att paketet troligen kommer orsaka allvarliga problem. Se dpkg(1) för information om status och flaggor ovan. Utdataformatet för den här flaggan kan inte justeras, men varieras automatiskt för att passa terminalbredden. Det är avsett för mänskliga läsare, och är inte enkelt maskinläsbart. Se -W (--show) och --showformat för hur du konfigurerar utdataformatet.

-W, --show [paketnamnsmönster ...]
    Precis som flaggan --list kommer att paket som matchar det givna mönstret att visas. Utdatat kan dock skräddarsys med flaggan --showformat. Standardutdataformatet är en rad per paket som träffas, där varje rad innehåller namn (utökat med arkitektursbeskrivning för Mutli-Arch same-paket) och installerad version av paketet, avdelat med ett tabulatortecken.

-s, --status paketnamn ...
    Report status of specified package. This just displays the entry in the installed package status database. When multiple package-name are listed, the requested status entries are separated by an empty line, with the same order as specified on the argument list.

-L, --listfiles paketnamn ...
    List files installed to your system from package-name. When multiple package-name are listed, the requested lists of files are separated by an empty line, with the same order as specified on the argument list. However, note that files created by package-specific installation-scripts are not listed.

-c, --control-path paketnamn [control-filnamn]
    Visar sökvägarna till control-filerna som installerats på ditt system för paketnamn. Om control-fil anges visas endast sökvägen för den control-filen, om den finns. Varning: kommandot är halvöppet, det bör användas endast som en sista desperat åtgärd om det inte finns något annat gränssnitt. Det kan avrådas från senare om bättre gränssnitt eller de nuvarande arkitektoniska begränsningarna har lösts.

-S, --search filnamnssökmönster ...
    Sök efter paket som äger filer som motsvarar det angivna mönstret. Alla skalets vanliga jokertecken kan användas i mönstret. Kommandot kommer inte att visa extrafiler som skapas av paketskript, ej heller kommer det att visa alternativ.

-p, --print-avail paketnamn
    Display details about package-name, as found in /var/lib/dpkg/available. When multiple package-name are listed, the requested available entries are separated by an empty line, with the same order as specified on the argument list. Använder du ett APT-baserat skal bör du istället använda apt-cache show paketnamn, då available-filen endast àjourförs om dselect används.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir=kat
    Ändra platsen för dpkg-databasen. Förval är /var/lib/dpkg.

--load-avail
    Läs även in available-filen när kommandona --show och --list används, vilka numera som standard endast läser statusfilen.

-f, --showformat=format
    Flaggan används för att ange formatet på utdata som skapas av --show. Formatet är en sträng som matas ut för varje paket i listan. I formatsträngen inleds följande styrsekvenser med “\”:
        \n  radmatning
        \r  vagnretur
        \t  tabulator
    “\” före ett annat tecken undertrycken en speciell betydelse för det efterföljande tecknet, vilket är kan användas för “\” och “$”. Paketinformation kan läggas in genom att sätta in variabelreferenser till paketfält, på syntaxen “${field[;width]}”. Fält skrivs högerjusterade såvida inte bredden är negativ i vilket fall vänsterjustering kommer att användas. Följande fält stöds, men de är inte nödvändigtvis tillgängliga i statusfilen (endast interna fält och fält som finns i binärpaketet hamnar där):
        Architecture
        Bugs
        Conffiles (internt)
        Config-Version (internt)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internt, skalrelaterat)
        Homepage
        Installed-Size
        MD5sum (internt, skalrelaterat)
        MSDOS-Filename (internt, skalrelaterat)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (föråldrat)
        Section
        Size  (internt, skalrelaterat)
        Source
        Status (internt)
        Suggests
        Tag (normalt inte i .deb, utan i arkivets Packages-filer)
        Triggers-Awaited (internt)    Triggers-Pending (internt)    Version
    Följande är virtuella fält, genererade av dpkg-query från värden från adnra fält (observera att dessa inte är giltiga namn för fält i kontrollfiler):
        binary:Package
        binary:Summary
        db:Status-Abbrev
        source:Package
        source:Version
    Standardformatet är “${binary:Package}\t${Version}\n”. Alla andra fält som finns i statusfilen (även användardefinierade fält) kan faktiskt också hämtas. De visas dock som de är, ingen konvertering eller felkorrigering görs på dem. binary:Package är ett specialfält som skriver ut paketnamnet med en arkitektursbeskrivning (som "libc6:amd64") om paketet har ett Multi-Arch-fält med värdet same och dess namn som sådant kunde vara tvetydigt. För att hämta namnet på paketansvarig och installerad version av dpkg och kan du köra:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

RETURVÄRDE

0   Den önskade frågan utfördes utan fel.

1   Problem uppstod vid tolkning av kommandoraden eller när frågan skulle utföras, till exempel att ingen fil eller paket hittades (förutom för --control-path).

MILJÖVARIABLER

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

COLUMNS
    Inställningen påverkar utdata från kommandot --list genom att ändra bredden på dess utdata.

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.